=== debian/changelog ===
vulkan-loader (1.3.204.1-2) unstable; urgency=medium

  * symbols: Fix arch specific symbols.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Mar 2022 16:27:24 +0200

vulkan-loader (1.3.204.1-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Fixed.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Mar 2022 11:50:36 +0200

vulkan-loader (1.3.204.0-1) unstable; urgency=medium

  * control: Drop python3-minimal dependency from libvulkan-dev.
  * New upstream release.
  * symbols: Updated.
  * symbols: Go back to a single symbols file, but skip some symbols on
    i386.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Feb 2022 21:35:10 +0200

vulkan-loader (1.2.198.1-2) unstable; urgency=medium

  * patches: Add patches to fix symbols for i386. (Closes: #1003219)
  * symbols: Add a symlink .aarch64 -> .amd64.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Jan 2022 10:46:21 +0200

vulkan-loader (1.2.198.1-1) unstable; urgency=medium

  * New upstream release.
  * sync_headers.sh: Updated to take sdk version as an argument, and use
    git checkout instead of force reset.
  * fix-ftbfs.diff: Dropped, upstream.
  * Drop prebuilt libdummy binaries from the source.
  * control: Add python dep to libvulkan-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Jan 2022 11:00:05 +0200
