=== debian/changelog ===
vulkan-loader (1.3.216.0-1~mx21ahs+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Jul 2022 18:14:02 -0700

vulkan-loader (1.3.216.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Jun 2022 12:39:19 +0300

vulkan-loader (1.3.211.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * sync_headers.sh: Fix checking the version.
  * patches: Dropped, upstream.

  [ Simon McVittie ]
  * tests: Exclude precompiled binary objects from .orig tarball
  * d/copyright: Update
  * Regenerate loader/generated/ during build.
    Thanks to Helmut Grohne (Closes: #981362)
  * d/rules: Delete another __pycache__ directory
  * d/libvulkan1.symbols: Expect i386 to be treated as an x86 architecture

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 May 2022 11:34:17 +0300
