=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,10 @@
 	-DVulkanHeaders_INCLUDE_DIR=../vulkan-headers/include \
 	-DVulkanRegistry_DIR=../vulkan-headers/registry
 
+override_dh_auto_build:
+	dh_auto_build -- VulkanLoader_generated_source
+	dh_auto_build
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	(cd build; tests/run_all_tests.sh || \
@@ -41,9 +45,14 @@
 	cp -rp vulkan-headers/include debian/tmp/usr
 	cp -rp vulkan-headers/registry debian/tmp/usr/share/vulkan
 	rm -rf debian/tmp/usr/share/vulkan/registry/__pycache__
+	rm -rf debian/tmp/usr/share/vulkan/registry/spec_tools/__pycache__
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 gentarball:
 	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \
