## vulkan-loader 1.3.224.0

=== debian/changelog ===
vulkan-loader (1.3.224.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 26 Jan 2023 16:53:56 -0800

vulkan-loader (1.3.224.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Phil Morrell <emorrp1@debian.org>  Mon, 03 Oct 2022 00:57:49 +0100

vulkan-loader (1.3.224.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Aug 2022 18:28:28 +0300
