=== debian/rules ===
--- 
+++ 
@@ -50,11 +50,11 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 gentarball:
 	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \
 		--exclude 'debian' --exclude-vcs \
 		-cJf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz .
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym
+
