## vulkan-loader 1.3.236.0

=== debian/changelog ===
vulkan-loader (1.3.236.0-2) unstable; urgency=medium

  * Make -dev multiarch-friendly again by installing cmake files to
   libdir. (Closes: #1029194)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 21 Jan 2023 18:39:02 +0200

vulkan-loader (1.3.236.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * Refresh vulkan-headers to 1.3.236.0

  [ Dylan Aïssi ]
  * Fix use of vulkan-headers in debian/rules

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Jan 2023 19:58:36 +0200

vulkan-loader (1.3.231.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 10:20:32 +0200
