=== debian/changelog ===
vulkan-loader (1.3.239.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1026768)
  * fix-headers-install.diff: Refreshed.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Feb 2023 10:41:08 +0200
