## vulkan-loader 1.3.250.0

=== debian/changelog ===
vulkan-loader (1.3.250.0-1~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Jun 2023 16:19:52 -0700

vulkan-loader (1.3.250.0-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.
  * README.source: Updated to match reality.
  * sync-headers: Support non-sdk tags.
  * rules: Prepare for next upstream version, enable LOADER_CODEGEN.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 12 Jun 2023 11:39:49 +0300
