=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	-DCMAKE_BUILD_TYPE=Release \
 	-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	-DBUILD_WSI_MIR_SUPPORT=OFF \
+	-DLOADER_CODEGEN=ON \
 	-DVulkanHeaders_DIR=debian/tmp-vulkan-headers/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/VulkanHeaders/
 
 override_dh_auto_build:
@@ -48,6 +49,10 @@
 	rm -rf debian/tmp/usr/share/vulkan/registry/__pycache__
 	rm -rf debian/tmp/usr/share/vulkan/registry/spec_tools/__pycache__
 
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_missing:
 	dh_missing --fail-missing
